VRELE(9)

NAME
vrele - decrement the use count for a vnode

SYNOPSIS
#include <sys/param.h>
#include <sys/vnode.h>
void
vrele(struct vnode *vp);

DESCRIPTION
Decrement the v_usecount field of a vnode.

vp  the vnode to decrement

Any code in the system which is using a vnode should call vrele(9) when it is finished with the vnode. If the v_usecount field of the vnode reaches zero, then it will be placed on the free list.

SEE ALSO
vnode(9), vget(9), vput(9), vref(9)

AUTHORS
This man page was written by Doug Rabson.